Add form

Adds a form to a database.

Request

POST https://www.activityinfo.org/resources/databases/{databaseId}/forms

Request body

application/json

object
formResource object required
formClass object required

Successful response

application/json

object
database object required
forms array[object] required
backfillJob object The job the server started to fill in metadata fields that this change added to a form with existing records; absent when no such field was added. optional

Error responses

Status Code Error Code Description
401 AUTHENTICATION_REQUIRED The request must be authenticated
Next item
Audit database